﻿using System;

using Xamarin.Forms;

namespace BindingTest
{
	public class SpaceViewerLayout : AbsoluteLayout
	{
		public  static BindableProperty CurrentSpaceProperty = BindableProperty.Create ("CurrentSpace", typeof(Space), typeof(SpaceViewerLayout), null, BindingMode.OneWay, null, null, null, null);


		public SpaceViewerLayout ()
		{
		}

		public Space CurrentSpace {
			get {
				return (Space)GetValue (CurrentSpaceProperty);
			}
			set {
				SetValue (CurrentSpaceProperty, value);
				BackgroundColor = value.Color;
			}
		}
	}
}


